Skip to main content
GET
Retrieve logs for all workflows

Headers

Authorization
string
default:bearer YOUR_API_KEY
required

Query Parameters

filters
string

Array of filter objects to narrow down logs based on specific criteria. Pass as a JSON-encoded array string in the query parameter.

Example: [ { "columns": { "value": "message" | "data.executionId" | "forgeWorkflowId" | "createdAt" | "userId" | "forgeWorkflow.integrationId._id" | "workflowVersion" }, "operators": { "value": "notequals" | "equals" | "greaterthan" | "lessthan" | "equals" | "contains" | "notcontains" | "notequals" }, "userinput": { "value": String }, "condition": { "value": "and" } } ]

Example:

"[{\"columns\":{\"value\":\"message\"},\"operators\":{\"value\":\"equals\"},\"userinput\":{\"value\":\"executionError\"},\"condition\":{\"value\":\"and\"}}]"

workflowId
string

To filter by a given workflow instead of all workflows of all users.

Example:

"67ef017d8eaeb50b18e635a1"

associatedUserId
string

To filter user-specific logs instead of all users.

Example:

"67a21c7d10e1dee8d5ec3a3d"

skip
integer

Amount of docs to skip.

Example:

0

limit
integer

Amount of docs to return (page size).

Example:

10

sortBy
enum<string>

Sort by (createdAt, completedAt, message, userId).

Available options:
createdAt,
completedAt,
message,
userId
Example:

"createdAt"

sortOrder
enum<string>

Sort order (asc or desc).

Available options:
asc,
desc
Example:

"desc"

Response

200 - application/json

Logs retrieved successfully

notifications
object[]
lastFetched
string<date-time>
Example:

"2025-04-29T17:46:38.237Z"

pagination
object